This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 182664 - bcm43xx driver does not support mii-tool
bcm43xx driver does not support mii-tool
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-23 16:58 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 17:13:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-02-23 16:58:34 EST
Description of problem:

# mii-tool eth2
SIOCGMIIPHY on 'eth2' failed: Operation not supported


Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1975_FC5

How reproducible:
every time


This is with a Linksys WPC54GS ver 1.0 card and the latest driver pulled from
Linksys's site a cut with bcm43xx-firmwarecutter-003.

Feb 23 14:59:26 cynosure kernel: pccard: CardBus card inserted into slot 1
Feb 23 14:59:26 cynosure kernel: ieee80211: 802.11 data/management/control
stack, git-1.1.7
Feb 23 14:59:26 cynosure kernel: ieee80211: Copyright (C) 2004-2005 Intel
Corporation <jketreno@linux.intel.com>
Feb 23 14:59:26 cynosure kernel: bcm43xx driver
Feb 23 14:59:26 cynosure kernel: PCI: Enabling device 0000:07:00.0 (0000 -> 0002)
Feb 23 14:59:26 cynosure kernel: ACPI: PCI Interrupt 0000:07:00.0[A] -> Link
[LNKD] -> GSI 11 (level, low) -> IRQ 11
Feb 23 14:59:26 cynosure kernel: bcm43xx: Chip ID 0x4306, rev 0x3
Feb 23 14:59:26 cynosure kernel: bcm43xx: Number of cores: 5
Feb 23 14:59:26 cynosure kernel: bcm43xx: Core 0: ID 0x800, rev 0x4, vendor
0x4243, enabled
Feb 23 14:59:26 cynosure kernel: bcm43xx: Core 1: ID 0x812, rev 0x5, vendor
0x4243, disabled
Feb 23 14:59:26 cynosure kernel: bcm43xx: Core 2: ID 0x80d, rev 0x2, vendor
0x4243, enabled
Feb 23 14:59:26 cynosure kernel: bcm43xx: Core 3: ID 0x807, rev 0x2, vendor
0x4243, disabled
Feb 23 14:59:26 cynosure kernel: bcm43xx: Core 4: ID 0x804, rev 0x9, vendor
0x4243, enabled
Feb 23 14:59:26 cynosure kernel: bcm43xx: PHY connected
Feb 23 14:59:26 cynosure kernel: bcm43xx: Detected PHY: Version: 2, Type 2,
Revision 2
Feb 23 14:59:26 cynosure kernel: bcm43xx: Detected Radio:  ID: 2205017f (Manuf:
17f Ver: 2050 Rev: 2)
Feb 23 14:59:26 cynosure kernel: bcm43xx: Radio turned off
Feb 23 14:59:26 cynosure kernel: bcm43xx: Radio turned off
Feb 23 14:59:29 cynosure udevd-event[7207]: wait_for_sysfs: waiting for
'/sys/class/net/eth2/bus' failed
Feb 23 14:59:30 cynosure kernel: bcm43xx: set security called
Feb 23 14:59:30 cynosure kernel: bcm43xx:    .active_key = 0
Feb 23 14:59:30 cynosure kernel: bcm43xx:    .level = 1
Feb 23 14:59:30 cynosure kernel: bcm43xx:    .enabled = 1
Feb 23 14:59:30 cynosure kernel: bcm43xx:    .encrypt = 1
Feb 23 14:59:30 cynosure kernel: SoftMAC: Associate: Scanning for networks first.
Feb 23 14:59:30 cynosure kernel: SoftMAC: Associate: failed to initiate scan. Is
device up?
Feb 23 14:59:30 cynosure kernel: bcm43xx: PHY connected
Feb 23 14:59:33 cynosure udevd-event[7264]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 14:59:37 cynosure udevd-event[7269]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 14:59:40 cynosure udevd-event[7276]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 14:59:44 cynosure udevd-event[7281]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed

(We'll see if things get any better when the udev wait_for_sysfs issue is fixed)
Feb 23 14:59:44 cynosure kernel: bcm43xx: Radio turned on
Feb 23 14:59:44 cynosure kernel: bcm43xx: Chip initialized
Feb 23 14:59:44 cynosure kernel: bcm43xx: DMA initialized
Feb 23 14:59:44 cynosure kernel: bcm43xx: 80211 cores initialized
Feb 23 14:59:44 cynosure kernel: bcm43xx: Keys cleared
Feb 23 14:59:44 cynosure kernel: ADDRCONF(NETDEV_UP): eth2: link is not ready
Feb 23 14:59:50 cynosure kernel: bcm43xx: Radio turned off
Feb 23 14:59:50 cynosure kernel: bcm43xx: DMA 0x0200 (RX) max used slots: 1/64
Feb 23 14:59:50 cynosure kernel: bcm43xx: DMA 0x0260 (TX) max used slots: 0/512
Feb 23 14:59:50 cynosure kernel: bcm43xx: DMA 0x0240 (TX) max used slots: 0/512
Feb 23 14:59:50 cynosure kernel: bcm43xx: DMA 0x0220 (TX) max used slots: 0/512
Feb 23 14:59:50 cynosure kernel: bcm43xx: DMA 0x0200 (TX) max used slots: 0/512
Feb 23 14:59:50 cynosure kernel: SELinux: initialized (dev 0:11, type nfs), uses
genfs_contexts
Feb 23 15:00:45 cynosure kernel: bcm43xx: PHY connected
Feb 23 15:00:49 cynosure udevd-event[7480]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 15:00:53 cynosure udevd-event[7485]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 15:00:56 cynosure udevd-event[7492]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 15:01:00 cynosure udevd-event[7497]: wait_for_sysfs: waiting for
'/sys/class/firmware/0000:07:00.0/bus' failed
Feb 23 15:01:00 cynosure kernel: bcm43xx: Radio turned on
Feb 23 15:01:00 cynosure kernel: bcm43xx: Chip initialized
Feb 23 15:01:00 cynosure kernel: bcm43xx: DMA initialized
Feb 23 15:01:00 cynosure kernel: bcm43xx: 80211 cores initialized
Feb 23 15:01:00 cynosure kernel: bcm43xx: Keys cleared
Feb 23 15:01:00 cynosure kernel: ADDRCONF(NETDEV_UP): eth2: link is not ready
Feb 23 15:01:00 cynosure kernel: SoftMAC: Start scanning with channel: 1
Feb 23 15:01:00 cynosure kernel: SoftMAC: Scanning 14 channels
Feb 23 15:01:07 cynosure kernel: SoftMAC: Scanning finished
Comment 1 Pete Zaitcev 2006-02-23 17:13:51 EST
No new drivers support mii-tool. Media control is done with ethtool.

Also, wireless is not Ethernet. I can see how a limited compatibility
may be desirable, but you should be using iwconfig.

Note You need to log in before you can comment on or make changes to this bug.